Public Types | Public Member Functions | Public Attributes | List of all members
RagTime5ClusterManager::Cluster Struct Reference

the cluster data More...

`#include <RagTime5ClusterManager.hxx>`

Inheritance diagram for RagTime5ClusterManager::Cluster:

## Public Types
enum | Type { C_ColorPattern, C_Fields, C_Layout, C_Pipeline, C_Root, C_ClusterGProp, C_Script, C_ChartZone, C_GraphicZone, C_PictureZone, C_SpreadsheetZone, C_TextZone, C_ColorStyles, C_FormatStyles, C_GraphicStyles, C_TextStyles, C_UnitStyles, C_ClusterC, C_Empty, C_Unknown }
| the cluster type More...

## Public Member Functions
| Cluster (Type type)
| constructor More...
virtual | ~Cluster ()
| destructor More...

## Public Attributes
Type | m_type
| the cluster type More...
int | m_zoneId
| the zone id More...
bool | m_hiLoEndian
| the cluster hiLo endian More...
librevenge::RVNGString | m_name
| the cluster name (if know) More...
Link | m_dataLink
| the main data link More...
Link | m_nameLink
| the name link More...
Link | m_fieldClusterLink
| the field cluster links (def and pos) More...
std::vector< Link > | m_conditionFormulaLinks
| the conditions formula links More...
std::vector< Link > | m_settingLinks
| the settings links More...
std::vector< Link > | m_linksList
| the link list More...
std::vector< int > | m_clusterIdsList
| the cluster ids More...
bool | m_isSent
| true if the cluster was send More...

## Detailed Description

the cluster data

## Member Enumeration Documentation

## ◆ Type

enum RagTime5ClusterManager::Cluster::Type

the cluster type

Enumerator
C_ColorPattern |
C_Fields |
C_Layout |
C_Pipeline |
C_Root |
C_ClusterGProp |
C_Script |
C_ChartZone |
C_GraphicZone |
C_PictureZone |
C_SpreadsheetZone |
C_TextZone |
C_ColorStyles |
C_FormatStyles |
C_GraphicStyles |
C_TextStyles |
C_UnitStyles |
C_ClusterC |
C_Empty |
C_Unknown |

## Constructor & Destructor Documentation

## ◆ Cluster()

RagTime5ClusterManager::Cluster::Cluster | ( | Type | type | ) |
| inline explicit

constructor

## ◆ ~Cluster()

RagTime5ClusterManager::Cluster::~Cluster | ( |  | ) |
| virtual

destructor

## Member Data Documentation

## ◆ m_clusterIdsList

std::vector<int> RagTime5ClusterManager::Cluster::m_clusterIdsList

the cluster ids

## ◆ m_conditionFormulaLinks

std::vector<Link> RagTime5ClusterManager::Cluster::m_conditionFormulaLinks

the conditions formula links

Referenced by RagTime5Parser::readClusterRootData().

## ◆ m_dataLink

Link RagTime5ClusterManager::Cluster::m_dataLink

the main data link

Referenced by RagTime5Chart::readChartCluster(), RagTime5Parser::readClusterFieldsData(), RagTime5Parser::readClusterGProp(), RagTime5Parser::readClusterRootData(), RagTime5Parser::readClusterScriptData(), RagTime5StyleManager::readFormats(), RagTime5Graph::readGraphicCluster(), RagTime5Graph::readGraphicShapes(), RagTime5Layout::readLayoutCluster(), RagTime5Parser::readStructZone(), and RagTime5Parser::readUnknownClusterCData().

## ◆ m_fieldClusterLink

Link RagTime5ClusterManager::Cluster::m_fieldClusterLink

the field cluster links (def and pos)

Referenced by RagTime5Parser::readClusterRootData().

## ◆ m_hiLoEndian

bool RagTime5ClusterManager::Cluster::m_hiLoEndian

the cluster hiLo endian

Referenced by RagTime5Parser::readClusterRootData(), RagTime5Parser::readClusterScriptData(), RagTime5Graph::readGraphicShapes(), RagTime5Text::readLinkZones(), RagTime5Text::readPLC(), RagTime5Text::readPLCToCharStyle(), and RagTime5Text::send().

## ◆ m_isSent

bool RagTime5ClusterManager::Cluster::m_isSent

true if the cluster was send

Referenced by RagTime5Text::send(), and RagTime5Graph::send().

## ◆ m_linksList

std::vector<Link> RagTime5ClusterManager::Cluster::m_linksList

the link list

Referenced by RagTime5Parser::readClusterFieldsData(), RagTime5Parser::readClusterGProp(), RagTime5Parser::readClusterRootData(), RagTime5Parser::readClusterScriptData(), RagTime5Graph::readColorPatternZone(), RagTime5StyleManager::readFormats(), and RagTime5Parser::readUnknownClusterCData().

## ◆ m_name

librevenge::RVNGString RagTime5ClusterManager::Cluster::m_name

the cluster name (if know)

## ◆ m_nameLink

Link RagTime5ClusterManager::Cluster::m_nameLink

the name link

Referenced by RagTime5Parser::readClusterScriptData(), RagTime5StyleManager::readFormats(), RagTime5Graph::readGraphicShapes(), and RagTime5Parser::readStructZone().

## ◆ m_settingLinks

std::vector<Link> RagTime5ClusterManager::Cluster::m_settingLinks

the settings links

Referenced by RagTime5Parser::readClusterRootData().

## ◆ m_type

Type RagTime5ClusterManager::Cluster::m_type

the cluster type

## ◆ m_zoneId

int RagTime5ClusterManager::Cluster::m_zoneId

the zone id

Referenced by RagTime5Parser::readClusterRootData(), RagTime5Text::send(), and RagTime5Graph::send().

The documentation for this struct was generated from the following files:

- RagTime5ClusterManager.hxx
- RagTime5ClusterManager.cxx